package com.bootdo.system.dao;

import com.bootdo.system.domain.RegistrationDO;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;

/**
 * 设备注册信息
 * @author chglee
 * @email 1992lcg@163.com
 * @date 2021-06-07 14:25:45
 */
@Mapper
public interface RegistrationDao {

	RegistrationDO get(Long id);
	
	List<RegistrationDO> list(Map<String,Object> map);
	
	int count(Map<String,Object> map);
	
	int save(RegistrationDO registration);
	
	int update(RegistrationDO registration);
	
	int remove(Long ID);
	
	int batchRemove(Long[] ids);
}
